Bug 1719698 (CVE-2019-10164) - CVE-2019-10164 postgresql: Stack-based buffer overflow via setting a password
Summary: CVE-2019-10164 postgresql: Stack-based buffer overflow via setting a password
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10164
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1881776 1723412 1723413 1723414 1727802 1727803 1727804 1727805 1728128 1749461 1813832 1857225 1909704 1909705
Blocks: 1719701
TreeView+ depends on / blocked
 
Reported: 2019-06-12 11:21 UTC by msiddiqu
Modified: 2021-02-16 21:50 UTC (History)
53 users (show)

Fixed In Version: PostgreSQL 10.9, PostgreSQL 11.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-26 16:32:19 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0980 0 None None None 2020-03-26 12:28:16 UTC
Red Hat Product Errata RHSA-2020:3669 0 None None None 2020-09-08 09:49:31 UTC
Red Hat Product Errata RHSA-2020:5664 0 None None None 2020-12-22 09:26:46 UTC
Red Hat Product Errata RHSA-2021:0166 0 None None None 2021-01-18 16:19:03 UTC

Description msiddiqu 2019-06-12 11:21:50 UTC
Any authenticated user can overflow a stack-based buffer by changing the
user's own password to a purpose-crafted value. This often suffices to
execute arbitrary code as the PostgreSQL operating system account.

Comment 1 msiddiqu 2019-06-24 13:11:01 UTC
External References:

https://www.postgresql.org/support/security/

Comment 2 msiddiqu 2019-06-24 13:26:41 UTC
Created mingw-postgresql tracking bugs for this issue:

Affects: epel-7 [bug 1723414]
Affects: fedora-all [bug 1723412]


Created postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1723413]

Comment 8 Trupti Pardeshi 2019-10-11 11:51:03 UTC
Hello,

May I know if Linux PostgreSQL 7.1beta6 version is also affected and requires this fix? Any heads up will be appreciated.

Thank you in advance.

Best Regards,

Comment 9 Trupti Pardeshi 2019-10-23 09:13:35 UTC
(In reply to Trupti Pardeshi from comment #8)
> Hello,
> 
> May I know if Linux PostgreSQL 7.1beta6 version is also affected and
> requires this fix? Any heads up will be appreciated.
> 
> Thank you in advance.
> 
> Best Regards,

Gentle Reminder.. Awaiting for your response.

Comment 10 errata-xmlrpc 2020-03-26 12:28:04 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:0980 https://access.redhat.com/errata/RHSA-2020:0980

Comment 11 Product Security DevOps Team 2020-03-26 16:32:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10164

Comment 14 errata-xmlrpc 2020-09-08 09:49:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3669 https://access.redhat.com/errata/RHSA-2020:3669

Comment 15 errata-xmlrpc 2020-12-22 09:26:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:5664 https://access.redhat.com/errata/RHSA-2020:5664

Comment 16 errata-xmlrpc 2021-01-18 16:18:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2021:0166 https://access.redhat.com/errata/RHSA-2021:0166


Note You need to log in before you can comment on or make changes to this bug.